Trigger enforcement for a specific compliance link
POST
/compliance/{linkID}/enforceStart a sandbox enforcement simulation for this synthetic compliance-link fixture.
Auth:
BearerPath parameters
linkIDuuidrequired
Response
idUnique identifier for this resource.
uuid
child_idIdentifier of the child this resource belongs to.
uuid
policy_idIdentifier of the policy this resource belongs to.
uuid
trigger_typeWhat initiated the job (e.g. `manual`, `scheduled`, `policy_change`).
manual | auto | webhook
statusCurrent lifecycle state of the resource.
pending | running | completed | failed | partial
started_atRFC 3339 timestamp of when the job started running.
datetime
completed_atRFC 3339 timestamp of when the job finished.
datetime
created_atRFC 3339 timestamp of when the resource was created.
datetime
Request
bash
curl -sS -X POST "https://phosra-api-sandbox-production.up.railway.app/api/v1/compliance/c0ffee00-1234-4567-89ab-cdef01234567/enforce" \
-H "Authorization: Bearer $PHOSRA_API_KEY"Response
json
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"child_id": "550e8400-e29b-41d4-a716-446655440000",
"policy_id": "550e8400-e29b-41d4-a716-446655440000",
"trigger_type": "manual",
"status": "pending",
"started_at": null,
"completed_at": null,
"created_at": "2025-01-15T09:30:00Z"
}